# $Id: tphotkeys.spec 811 2007-06-17 01:52:39Z rpmbuild $
# repo: RE
# restrictions:

#
# Copyright (c) 2007 Mike Arnold <rpmpackaging@razorsedge.org>
#
# Please submit bugfixes or comments via http://rpm.razorsedge.org/bugs/
#

Summary: Scripts to make ThinkPad hotkeys work with ACPI and tpb
Name: tphotkeys
Version: 1
Release: %RErelease 1
Epoch: 0
License: GPL
Group: System Environment/Base
URL: http://www.razorsedge.org/~mike/software/tphotkeys/
Source0: README
Source1: Fn-F3.conf
Source2: Fn-F3.sh
Source3: Fn-F4.conf
Source4: Fn-F4.sh
Source5: Fn-F5.conf
Source6: Fn-F5.sh
Source7: Fn-F7.conf
Source8: Fn-F7.sh
Source9: Fn-F12.conf
Source10: Fn-F12.sh
Source11: Fn-F5.conf.wifi
Source12: Fn-F5.sh.wifi
Source13: ibm_acpi
Source14: 49-nvram.perms
Source15: tpbrc
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: rpm-macros-razorsedge
Requires: acpid, pm-utils


%description
tphotkeys is a collection of ACPI events and actions that allow ThinkPad
hotkeys to work with ACPId and tpb when the ibm_acpi kernel module is loaded.

%prep
%{__mkdir_p} %{name}-%{version}
%{__install} -p -m 0644 %SOURCE0 %SOURCE11 %SOURCE12 %SOURCE15 .

%build

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT
%{__install} -Dp -m 0644 %SOURCE1  ${RPM_BUILD_ROOT}%{_sysconfdir}/acpi/events/Fn-F3.conf
%{__install} -Dp -m 0755 %SOURCE2  ${RPM_BUILD_ROOT}%{_sysconfdir}/acpi/actions/Fn-F3.sh
%{__install} -Dp -m 0644 %SOURCE3  ${RPM_BUILD_ROOT}%{_sysconfdir}/acpi/events/Fn-F4.conf
%{__install} -Dp -m 0755 %SOURCE4  ${RPM_BUILD_ROOT}%{_sysconfdir}/acpi/actions/Fn-F4.sh
%{__install} -Dp -m 0644 %SOURCE5  ${RPM_BUILD_ROOT}%{_sysconfdir}/acpi/events/Fn-F5.conf
%{__install} -Dp -m 0755 %SOURCE6  ${RPM_BUILD_ROOT}%{_sysconfdir}/acpi/actions/Fn-F5.sh
%{__install} -Dp -m 0644 %SOURCE7  ${RPM_BUILD_ROOT}%{_sysconfdir}/acpi/events/Fn-F7.conf
%{__install} -Dp -m 0755 %SOURCE8  ${RPM_BUILD_ROOT}%{_sysconfdir}/acpi/actions/Fn-F7.sh
%{__install} -Dp -m 0644 %SOURCE9  ${RPM_BUILD_ROOT}%{_sysconfdir}/acpi/events/Fn-F12.conf
%{__install} -Dp -m 0755 %SOURCE10 ${RPM_BUILD_ROOT}%{_sysconfdir}/acpi/actions/Fn-F12.sh
%{__install} -Dp -m 0755 %SOURCE13 ${RPM_BUILD_ROOT}%{_initrddir}/ibm_acpi
%{__install} -Dp -m 0644 %SOURCE14 ${RPM_BUILD_ROOT}%{_sysconfdir}/security/console.perms.d/49-nvram.perms

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT

%post
chkconfig --add ibm_acpi

%preun
# Only if we are not upgrading...
if [ "$1" = 0 ]; then
  chkconfig --del ibm_acpi
fi

%files
%defattr(-,root,root,-)
%doc README tpbrc Fn-F5.*
%{_initrddir}/ibm_acpi
%{_sysconfdir}/acpi/actions/*
%{_sysconfdir}/acpi/events/*
%{_sysconfdir}/security/console.perms.d/49-nvram.perms

%changelog
* Sat Jun 16 2007 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1-1
- First build.

